### Encoding: UTF-8

### Name: mefa
### Title: Create an Object of Class 'mefa'
### Aliases: mefa-package mefa is.mefa as.mefa print.mefa summary.mefa
###   print.summary.mefa dim.mefa dimnames.mefa
### Keywords: classes manip methods

### ** Examples

data(DOLINAcounts, DOLINAsamples, DOLINAtaxa)
## Input is stcs
x1 <- mefa(stcs(DOLINAcounts))
x1
## Input is matrix
x2 <- mefa(x1$xtab)
x2
## Attach data frame for samples
x3 <- mefa(stcs(DOLINAcounts), DOLINAsamples)
x3
## Attach data frame for samples and taxa
x4 <- mefa(stcs(DOLINAcounts), DOLINAsamples, DOLINAtaxa)
x4
## Methods
## (chapter 'See also' provides
## links for further methods)
summary(x4)
## Descriptives inside the summary
unclass(summary(x4))
## Testing mefa objects
is(x4, "mefa")
## Dimensions
dim(x4)
## Dimnames
dimnames(x4)
## Simple examples how to use mefa objects in analyis
## GLM on sample abundances
mod <- glm(summary(x4)$nind ~ .^2,
    data = x4$samp[, c(4, 6)], family = quasipoisson)
summary(mod)
## Cluster analysis of community matrix
x5 <- aggregate(x4, c("method", "microhab"))
h <- hclust(dist(x5$xtab))
plot(h)



